Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1515897 - UEFI boot loop: System BootOrder not found.
Summary: UEFI boot loop: System BootOrder not found.
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: shim
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthew Garrett
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-21 15:01 UTC by Christian Heimes
Modified: 2018-11-30 23:38 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 23:38:04 UTC


Attachments (Terms of Use)

Description Christian Heimes 2017-11-21 15:01:24 UTC
Description of problem:
Since upgrade to Fedora 27 my laptop is caught in a UEFI boot loop. It looks like UEFI is able to load shim, shim fails to continue and then resets the system. I'm able to fix the boot loop temporarily by booting from an USB stick and changing boot order and removing a boot entry with efibootmgr. However the boot order and faulty entry are re-added every time.

Version-Release number of selected component (if applicable):
shim-x64-13-0.7.x86_64
grub2-efi-x64-2.02-19.fc27.x86_64
Lenovo T540p in UEFI-only mode with SecureBoot enabled

How reproducible:
Always


Steps to Reproduce:
1. install Fedora 27
2. reboot

Actual results:
System is caught in a boot loop

Expected results:
Fedora works

Additional info:
I'm able to work around the issue by removing the buggy boot entry from NVRAM and resetting the boot order to a sensible value. The broken boot entry Boot0016 is re-added on every reboot.

# efibootmgr --verbose
BootCurrent: 0017
Timeout: 1 seconds
BootOrder: 0009,000B,000C,0008,0007,0014,0015,000E,0016,000D,000A,0013
Boot0000  Setup FvFile(721c8b66-426c-4e86-8e99-3457c46ab0b9)
Boot0001  Boot Menu     FvFile(126a762d-5758-4fca-8531-201a7f57f850)
Boot0002  Diagnostic Splash Screen      FvFile(a7d8d9a6-6ab0-4aeb-ad9d-163e59a7a380)
Boot0003  Lenovo Diagnostics    FvFile(3f7e615b-0d45-4f80-88dc-26b234958560)
Boot0004  Startup Interrupt Menu        FvFile(f46ee6f4-4785-43a3-923d-7f786c3c8479)
Boot0005  Rescue and Recovery   FvFile(665d3f60-ad3e-4cad-8e26-db46eee9f1b5)
Boot0006  MEBx Hot Key  FvFile(ac6fd56a-3d41-4efd-a1b9-870293811a28)
Boot0007  USB CD        VenMsg(bc7838d2-0f82-4d60-8316-c068ee79d25b,86701296aa5a7848b66cd49dd3ba6a55)
Boot0008  USB FDD       VenMsg(bc7838d2-0f82-4d60-8316-c068ee79d25b,6ff015a28830b543a8b8641009461e49)
Boot0009  ATAPI CD0     VenMsg(bc7838d2-0f82-4d60-8316-c068ee79d25b,aea2090adfde214e8b3a5e471856a35405)
Boot000A* ATA HDD0      VenMsg(bc7838d2-0f82-4d60-8316-c068ee79d25b,91af625956449f41a7b91f4f892ab0f600)
Boot000B  ATA HDD1:     VenMsg(bc7838d2-0f82-4d60-8316-c068ee79d25b,91af625956449f41a7b91f4f892ab0f605)
Boot000C  ATA HDD2      VenMsg(bc7838d2-0f82-4d60-8316-c068ee79d25b,91af625956449f41a7b91f4f892ab0f604)
Boot000D* USB HDD       VenMsg(bc7838d2-0f82-4d60-8316-c068ee79d25b,33e821aaaf33bc4789bd419f88c50803)
Boot000E  PCI LAN       VenMsg(bc7838d2-0f82-4d60-8316-c068ee79d25b,78a84aaf2b2afc4ea79cf5cc8f3d3803)
Boot000F* IDER BOOT CDROM       PciRoot(0x0)/Pci(0x16,0x2)/Ata(0,1,0)
Boot0010* IDER BOOT Floppy      PciRoot(0x0)/Pci(0x16,0x2)/Ata(0,0,0)
Boot0011* ATA HDD       VenMsg(bc7838d2-0f82-4d60-8316-c068ee79d25b,91af625956449f41a7b91f4f892ab0f6)
Boot0012* All CD:       VenMsg(bc7838d2-0f82-4d60-8316-c068ee79d25b,aea2090adfde214e8b3a5e471856a354)
Boot0013* PCI LAN       VenMsg(bc7838d2-0f82-4d60-8316-c068ee79d25b,78a84aaf2b2afc4ea79cf5cc8f3d3803)
Boot0014  Other CD      VenMsg(bc7838d2-0f82-4d60-8316-c068ee79d25b,aea2090adfde214e8b3a5e471856a35406)
Boot0015  Other HDD     VenMsg(bc7838d2-0f82-4d60-8316-c068ee79d25b,91af625956449f41a7b91f4f892ab0f606)
Boot0016  Fedora        HD(1,GPT,716b0f8e-4a43-4d97-819b-ec11b9a057ff,0x800,0x64000)/File(\EFI\fedora\shim.efi)
Boot0017* Fedora        HD(1,GPT,90a12dba-a93b-4ea9-9a2b-b614e869f142,0x800,0x87800)/File(\EFI\fedora\shimx64.efi)

# efibootmgr -b 0016 -B
# efibootmgr --bootorder 0017,0009,000B,000C,0008,0007,0014,0015,000E,000D,000A,0013 --bootnext 0017


DMI info:

Handle 0x0029, DMI type 13, 22 bytes
BIOS Language Information
        Language Description Format: Abbreviated
        Installable Languages: 1
                en-US
        Currently Installed Language: en-US

Handle 0x0035, DMI type 0, 24 bytes
BIOS Information
        Vendor: LENOVO
        Version: GMET69WW (2.17 )
        Release Date: 01/12/2015
        Address: 0xE0000
        Runtime Size: 128 kB
        ROM Size: 12288 kB
        Characteristics:
                PCI is supported
                PNP is supported
                BIOS is upgradeable
                BIOS shadowing is allowed
                Boot from CD is supported
                Selectable boot is supported
                ACPI is supported
                USB legacy is supported
                BIOS boot specification is supported
                Targeted content distribution is supported
                UEFI is supported
        BIOS Revision: 2.17
        Firmware Revision: 1.10

Handle 0x000C, DMI type 1, 27 bytes
System Information
        Manufacturer: LENOVO
        Product Name: 20BFS0W50C
        Version: ThinkPad T540p
        Serial Number: *********
        UUID: *********
        Wake-up Type: Power Switch
        SKU Number: LENOVO_MT_20BF
        Family: ThinkPad T540p

Comment 1 Laurent G. 2018-04-22 08:26:31 UTC
I tested Fedora 28 beta and it is as described above. After the installation process finished "sucessfully", the laptop can not reboot as it enter an infinite loop.
 
My laptop : DMI: Hewlett-Packard HP EliteBook 850 G2/2216, BIOS M71 Ver. 01.12 11/05/2015

Comment 2 Tim Cuthbertson 2018-09-29 21:59:50 UTC
I have the exact same problem after "dnf system-upgrade" to Fedora 29 Beta.

Comment 3 Jonathan 2018-11-01 20:22:40 UTC
I have this issue on both Fedora 28 and 29. 
HP Elitebook Folio 1040.
System boots great IF i manually select "Fedora" in the boot list.
If I let it chose automatically, it goes to boot loop with:
"system boot order not found
initializing defaults"

Fedora is the only system here. No dual booting.

Comment 4 MG 2018-11-04 10:24:55 UTC
Just confirming that the problem pops up with Fedora 29 on an Acer TravelMate B117 laptop, too.

Some work-arounds are proposed in the comments of bug 1512410.

Comment 5 Ben Cotton 2018-11-27 13:40:49 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Ben Cotton 2018-11-30 23:38:04 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.